Message a Conversation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
POST /api/conversation/{uuid}.json

Send an outbound message to a conversation. A comment must be specified in the request.

Also: Whisper a Conversation — send an internal whisper by providing whisper (and optional whisper_attachments) instead of comment.

Path parameters

  • uuid string Required

    Identifier of the Conversation to perform action with.

application/json

Body Required

  • comment object

    Customer-visible message

    Hide comment attribute Show comment attribute object
    • body string
  • attachments array[object]
    Hide attachments attribute Show attachments attribute object
    • url string
  • whisper object

    Internal whisper

    Hide whisper attribute Show whisper attribute object
    • body string
  • whisper_attachments array[object]
    Hide whisper_attachments attribute Show whisper_attachments attribute object
    • url string
  • resolve string

    If set (e.g. "1"), resolve after sending a message.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • conversation object
      Hide conversation attributes Show conversation attributes object
      • customer object
        Hide customer attributes Show customer attributes object
        • avatar_url string | null
        • blocked boolean

          Has this customer has been blocked from sending you messages

        • archived boolean

          Has this customer been archived in your address book

        • name string | null
        • notes string | null
        • phone_number string | null
        • reachable_by_sms boolean

          Is this customer capable of receiving sms

        • tags array
        • uuid string
        • facebook_id string | null
        • custom_fields object

          This is a list of the custom fields created in the account by their uuid and the values for this contact.

          Hide custom_fields attributes Show custom_fields attributes object
          • c43a1766-47e1-4c9c-a2cc-36bf424fcbc0 string
          • 116bad5a-6233-472d-bcf0-199d53342a82 string
        • verified boolean

          This pertains to webchat and whether a contact has gone through the sync process for the conversation.

      • resolved boolean
      • uuid string
    • whisper object
      Hide whisper attributes Show whisper attributes object
      • attachments array
      • body string | null

        The body of the whisper, if there is one

      • conversation_uuid string

        The uuid of the parent conversation

      • created_at number

        The unix time stamp of the created time for the post

      • creator object

        If the creator is a customer or user, additional fields specific to those types will be included

        Hide creator attributes Show creator attributes object
        • name `Chuck Finley` string
        • type string

          Values are customer, system, or user.

      • is_whisper boolean
      • marked_as_resolved boolean

        Did this post mark the conversation as resolved

      • transferred_to object

        The agent that this post transferred the conversation to

        Hide transferred_to attributes Show transferred_to attributes object
        • avatar_url string | null
        • name string
        • on_call boolean

          Is this agent available to receive notifications

        • username string
        • uuid string
        • email string
        • permission_level string
        • group_uuids array
      • uuid string
    • group object
      Hide group attributes Show group attributes object
      • name string
      • phone_number string | null
      • uuid string
      • is_sms_group boolean
POST /api/conversation/{uuid}.json
curl \
 --request POST 'https://application.textline.com/api/conversation/84a2c56f-6b79-4764-811d-90880e2757b4.json' \
 --header "Content-Type: application/json" \
 --data '{
  "comment": {
    "body": "hello world"
  }
}'
Request examples
{
  "comment": {
    "body": "hello world"
  }
}
{
  "whisper": {
    "body": "hello friend this is a whisper"
  }
}
Response examples (200)
{
  "conversation": {
    "customer": {
      "avatar_url": "https://example.com/image.png",
      "blocked": false,
      "archived": false,
      "name": "Chuck Finley",
      "notes": "``",
      "phone_number": "(222) 222-2222",
      "reachable_by_sms": true,
      "tags": [
        "foo",
        "bar"
      ],
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "facebook_id": "null",
      "custom_fields": {
        "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
        "116bad5a-6233-472d-bcf0-199d53342a82": "null"
      },
      "consent_status": true,
      "verified": true
    },
    "resolved": true,
    "uuid": "84a2c56f-6b79-4764-811d-90880e2757b4"
  },
  "whisper": {
    "attachments": [
      {
        "content_type": "image/jpeg",
        "name": "my_photo.png",
        "url": "https://example.com/image.png"
      }
    ],
    "body": "hello friend this is a whisper",
    "conversation_uuid": "84a2c56f-6b79-4764-811d-90880e2757b4",
    "created_at": 1493923935,
    "creator": {
      "name `Chuck Finley`": "",
      "type": "user"
    },
    "is_whisper": true,
    "marked_as_resolved": false,
    "transferred_to": {
      "avatar_url": "https://example.com/image.png",
      "name": "Chuck Finley",
      "on_call": true,
      "username": "ChuckF",
      "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
      "email": "chuckf@textline.com",
      "permission_level": "Admin",
      "group_uuids": [
        "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
        "35c450e8-5b60-46e2-b691-481419462c16"
      ]
    },
    "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369"
  },
  "group": {
    "name": "Sales",
    "phone_number": "(222) 222-2222",
    "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
    "is_sms_group": true
  }
}